﻿using System;
using System.Collections.Generic;
using System.Text;

namespace HBDotNet
{
    [AttributeUsage(AttributeTargets.Class, Inherited=false)]
    public class HBDeviceAttribute : Attribute
    {
        protected string _name = string.Empty;
        protected string _description = string.Empty;
        protected string _wizardFinalText = string.Empty;

        public HBDeviceAttribute(string name)
        {
            _name = name;
        }

        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }

        public string Description
        {
            get { return _description; }
            set { _description = value; }
        }

        public string WizardFinalText
        {
            get { return _wizardFinalText; }
            set { _wizardFinalText = value; }
        }

    }
}
