﻿using System;
using System.Collections.Generic;
using System.Text;

namespace HBDotNet
{
    class DeviceList : List<HBDeviceBase>
    {
        public HBDeviceBase GetDeviceByName(string deviceName)
        {
            for (int i = 0; i < this.Count; i++)
            {
                HBDeviceBase device = this[i];
                if (device.Name == deviceName) 
                {
                    return device;
                }
            }
            return null;
        }

        public HBDeviceBase GetDeviceByHandle(IntPtr deviceHandle)
        {
            for (int i = 0; i < this.Count; i++)
            {
                HBDeviceBase device = this[i];
                if (device.DeviceHandle == deviceHandle)
                {
                    return device;
                }
            }
            return null;
        }
    }
}
